Bug 989446 - Should not create bond when report an error in configuration process
Should not create bond when report an error in configuration process
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.6.0
Assigned To: Ryan Barry
Virtualization Bugs
node
:
Depends On: 988341
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 05:32 EDT by wanghui
Modified: 2016-02-10 15:03 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 988341
Environment:
Last Closed: 2015-09-17 10:53:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error in creating bond (60.85 KB, application/x-gzip)
2013-07-29 05:32 EDT, wanghui
no flags Details

  None (edit)
Description wanghui 2013-07-29 05:32:41 EDT
Created attachment 779704 [details]
error in creating bond

+++ This bug was initially created as a clone of Bug #988341 +++

Description of problem:
It should not create bond in Network page when report an error while configuration process failed. And it only create bond button but no option in Available System NICs. So it should not create bond button and let the NIC display.

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-3.999.999.20130716190656git4e57356.2850.fc18.src.rpm
ovirt-node-3.0.0-3.999.20130716190656git4e57356.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. Clear install ovirt-node.
2. Configure network using eth2
3. Create bond0.
   Select eth0, eth2 and apply.
   report error as follows:
   Transaction:Network Interface Configuration
   Checking pre-conditions....
   (1/7) Writing bond master configuration
   (2/7) Writing bond slaves configuration
   An error occurred while applying the changes:
   Bond slave can not be used as primary device
4. Check in Network page.
5. Check in status page.
6. Check ping.

Actual results:
In step4, the eth2 disappeared and it have added 'remove bond1(eth2,eth0)' button.
In step5, the networking status change to Unknown with no ip address.
In step6, it can ping outside.

Expected results:
In step4, it should roll back to the settings before.

Additional info:
Comment 1 wanghui 2013-07-29 05:35:37 EDT
This issue can be reproduced on the fellow bulid:
rhev-hypervisor6-6.5-20130725.0.el6
ovirt-node-3.0.0-6.1.el6.noarch

So need to clone it from ovirt-node upstream to downstream to track this issue.
Comment 3 RHEL Product and Program Management 2013-10-13 22:55:53 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Fabian Deutsch 2014-11-06 09:51:54 EST
Re-targeting for 3.6
Comment 6 Fabian Deutsch 2015-09-17 10:53:40 EDT
This functionality will move to cockpit, where this bug does not apply anymore.

Note You need to log in before you can comment on or make changes to this bug.